net.corda.core.schemas.requery.converters

## Class VaultStateStatusConverter

- net.corda.core.schemas.requery.converters.VaultStateStatusConverter

-     public class VaultStateStatusConverter

  Converter which persists a `enum Vault.StateStatus` enum using its enum ordinal representation

  See Also:
    `enum Vault.StateStatus`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VaultStateStatusConverter()` Converter which persists a `enum Vault.StateStatus` enum using its enum ordinal representation

- - ### Constructor Detail

    - #### VaultStateStatusConverter

          public VaultStateStatusConverter()

      Converter which persists a `enum Vault.StateStatus` enum using its enum ordinal representation

      See Also:
        `enum Vault.StateStatus`